<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:of="scpf.org:office" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw of style fo sl dc office ooo text sp form svg xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:head[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:head"><xsl:comment># sm:WTable</xsl:comment><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/@table:style-name}" table:name="WTable">
				<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable select="java:com.scenari.s.fw.utils.HDouble.new()" name="vTmpColCount"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-column"><xsl:variable select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)" name="vNbColRepeated"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[1&gt;=@min and 1&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
				<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable select="java:com.scenari.s.fw.utils.HDouble.new()" name="vTmpColCount"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-column"><xsl:variable select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)" name="vNbColRepeated"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[2&gt;=@min and 2&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
			
			<table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-row[1]/@table:style-name}">
				<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-row[1]/table:table-cell[1]/@table:style-name}"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__Names')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
						<xsl:for-each select="sp:givenName">
							<xsl:value-of select="."/>
							<xsl:text> </xsl:text>
						</xsl:for-each>
						<xsl:for-each select="sp:familyName">
							<xsl:value-of select="."/>
						</xsl:for-each>
					</xsl:element></scodPp:ifNotNull><xsl:choose>
						<xsl:when test="sp:birthdate"><xsl:choose>
								<xsl:when test="sp:nationality"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__2ndline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:birthdate">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:nationality">
											<xsl:text>,</xsl:text>
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull></xsl:when>
								<xsl:otherwise>
									<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__2ndline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:birthdate">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:nationality">
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull>
								</xsl:otherwise>
							</xsl:choose></xsl:when>
						<xsl:otherwise>
							<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__2ndline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
								<xsl:for-each select="sp:birthdate">
									<xsl:value-of select="."/>
								</xsl:for-each>
								<xsl:for-each select="sp:nationality">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</xsl:element></scodPp:ifNotNull>
						</xsl:otherwise>
					</xsl:choose><xsl:choose>
						<xsl:when test="sp:maritalStatus"><xsl:choose>
								<xsl:when test="sp:driverLicense"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__moreline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:maritalStatus">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:driverLicense">
											<xsl:text>, </xsl:text>
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull></xsl:when>
								<xsl:otherwise>
									<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__moreline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:maritalStatus">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:driverLicense">
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull>
								</xsl:otherwise>
							</xsl:choose></xsl:when>
						<xsl:otherwise>
							<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__moreline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
								<xsl:for-each select="sp:maritalStatus">
									<xsl:value-of select="."/>
								</xsl:for-each>
								<xsl:for-each select="sp:driverLicense">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</xsl:element></scodPp:ifNotNull>
						</xsl:otherwise>
					</xsl:choose><xsl:for-each select="sp:pmail">
						<xsl:variable name="vPathAgentN96"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentN96, '', '/getContent'))"/>
					</xsl:for-each><xsl:for-each select="sp:phone">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__phone')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="sp:phoneType"><xsl:for-each select="sp:phoneType">
										<xsl:choose xmlns:xsl="http://www.w3.org/1999/XSL/Transform"><xsl:when test="self::sp:phoneType/text()='mobile'">Mobile</xsl:when><xsl:when test="self::sp:phoneType/text()='home'">Home</xsl:when><xsl:when test="self::sp:phoneType/text()='office'">Professional</xsl:when><xsl:when test="true()"><xsl:value-of select="."/></xsl:when></xsl:choose>
									</xsl:for-each><xsl:text>:</xsl:text></xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
							<xsl:for-each select="sp:phoneNumber">
								<xsl:value-of select="."/>
							</xsl:for-each>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each><xsl:for-each select="sp:email">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__email')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<text:a xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xlink:type="simple"><xsl:attribute name="xlink:href"><xsl:text>mailto:</xsl:text><xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></text:a>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each><xsl:for-each select="sp:website">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__website')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:value-of select="."/>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each></table:table-cell>
				<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-row[1]/table:table-cell[2]/@table:style-name}"><xsl:for-each select="sp:photo">
						
							<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '_Ainline', '/getContent'))"/>
						
					</xsl:for-each></table:table-cell>
			</table:table-row>
		</table:table></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>