<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp of">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:variable name="vUrlPage" select="resultatDialogue('.', concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', codeAgent(concat('@', switchAxis(codeAgent('//'), 'postNav')))))"/>
		<xsl:variable name="vUrlBase" select="normalize-space(getContent(rootModel(),'rssUrl'))"/>
		<xsl:variable name="vDate" select="of:postM/sp:date"/>
		<item>
			<title>
				<xsl:value-of select="returnFirst(getFullTitleText(currentModel()),getShortTitleText(currentModel()))" disable-output-escaping="yes"/>
			</title>
			<link>
				<xsl:value-of select="concat($vUrlBase,'/co/',$vUrlPage)"/>
			</link>
			<xsl:if test="string-length($vDate)&gt;0">
				<pubDate>
					<xsl:value-of select="$vDate"/>
				</pubDate>
			</xsl:if>
		</item>
	</xsl:template>
</xsl:stylesheet>