<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:of="scpf.org:office" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="of sp java " >

<xsl:param name="srcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="of:cv"/>
</xsl:template>

<xsl:template match="sc:item/of:cv">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="of:head"><xsl:value-of select="sp:givenName"/><xsl:if test="sp:familyName"><xsl:text> </xsl:text><xsl:value-of select="sp:familyName"/></xsl:if><xsl:if test="sp:tagline"><xsl:text>- </xsl:text><xsl:value-of select="sp:tagline"/></xsl:if></xsl:for-each></title>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>



			
			
		
			
		
			
		
		
			
			
				
			
			
				
			
		
		
			
				
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::of:sTxt]">
<attrRef nm="of_sTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:sTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

			
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:blockM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:lineM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
		
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:languageData">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
			
		
			
		
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:interviewPart/sp:audio[@sc:refUri]">
<attrRef nm="of_interviewPart:audio" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:head">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
			
		
			
			
		
			
			
		
			
		
			
				
			
			
				
					
					
					
				
			
		
			
			
		
			
			
		
			
			
		
			
			
		
			
			
		
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:head/sp:photo[@sc:refUri]">
<attrRef nm="of_head:photo:" refUri="{@sc:refUri}"/>
</xsl:template>
		

</xsl:stylesheet>