<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:of="scpf.org:office"
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp xalan of">
	<xsl:output encoding="UTF-8" method="xml"/>
	
	<xsl:param name="pCurrentItem"/>
	<xsl:param name="pCurrentItemUri"/>
	
	<xsl:template match="of:pagePlus/sp:main/of:section | of:paperPlus/sp:pre/of:section | of:paperPlus/sp:chap/of:section | of:paperPlus/sp:post/of:section">
		<of:sectionPlus>
			<xsl:apply-templates select="@*|node()"/>
		</of:sectionPlus>
	</xsl:template>
	<xsl:template match="of:pagePlus/sp:main/of:section/of:sectionM | of:paperPlus/sp:pre/of:section/of:sectionM | of:paperPlus/sp:chap/of:section/of:sectionM | of:paperPlus/sp:post/of:section/of:sectionM">
		<of:sectionPlusM>
			<xsl:apply-templates select="@*|node()"/>
		</of:sectionPlusM>
	</xsl:template>
	
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
		
</xsl:stylesheet>
