<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:of="scpf.org:office" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw of style fo sl dc office ooo text sp form svg xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::of:languageData[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:languageData"><xsl:comment># sm:WTable</xsl:comment><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="{getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')/table:table/@table:style-name}" table:name="WTable">
				<xsl:for-each select="sp:name">
					<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable select="java:com.scenari.s.fw.utils.HDouble.new()" name="vTmpColCount"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')/table:table/table:table-column"><xsl:variable select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)" name="vNbColRepeated"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[1&gt;=@min and 1&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
				</xsl:for-each>
				<xsl:for-each select="sp:level">
					<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable select="java:com.scenari.s.fw.utils.HDouble.new()" name="vTmpColCount"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')/table:table/table:table-column"><xsl:variable select="si(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)" name="vNbColRepeated"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[2&gt;=@min and 2&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
				</xsl:for-each>
			
			<table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')/table:table/table:table-row[1]/@table:style-name}">
				<xsl:for-each select="sp:name">
					<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')/table:table/table:table-row[1]/table:table-cell[1]/@table:style-name}"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_languageData__name')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:value-of select="."/>
						</xsl:element></scodPp:ifNotNull></table:table-cell>
				</xsl:for-each>
				<xsl:for-each select="sp:level">
					<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'of_languageData__cvLanguageDataTable')/table:table/table:table-row[1]/table:table-cell[2]/@table:style-name}"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_languageData__level')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:value-of select="."/>
						</xsl:element></scodPp:ifNotNull></table:table-cell>
				</xsl:for-each>
			</table:table-row>
		</table:table></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>