<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:variable name="vNumPosts" select="returnFirst(number(of:blogM/sp:lastPosts),5)"/>
	<xsl:template match="*">
		<xsl:apply-templates select="sp:post"/>
	</xsl:template>
	<xsl:template match="sp:post[count(preceding-sibling::sp:post)&lt;$vNumPosts]">
		<xsl:if test="not(of:filter/sp:exclude[text()='web'])">
			<xsl:value-of select="getContent(gotoSubModel(.),'postItem')" disable-output-escaping="yes"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="sp:post[count(preceding-sibling::sp:post)&gt;=$vNumPosts]">
		<xsl:if test="not(of:filter/sp:exclude[text()='web'])">
			<xsl:value-of select="getContent(gotoSubModel(.),'postTitle')" disable-output-escaping="yes"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>