/**
 * LICENCE[[
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1/CeCILL 2.O
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is kelis.fr code.
 *
 * The Initial Developer of the Original Code is 
 * samuel.monsarrat@kelis.fr
 *
 * Portions created by the Initial Developer are Copyright (C) 2009-2010
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either of the GNU General Public License Version 2 or later (the "GPL"),
 * or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * or the CeCILL Licence Version 2.0 (http://www.cecill.info/licences.en.html),
 * in which case the provisions of the GPL, the LGPL or the CeCILL are applicable
 * instead of those above. If you wish to allow use of your version of this file
 * only under the terms of either the GPL, the LGPL or the CeCILL, and not to allow
 * others to use your version of this file under the terms of the MPL, indicate
 * your decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL, the LGPL or the CeCILL. If you do not
 * delete the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL, the LGPL or the CeCILL.
 * ]]LICENCE
 */

/** SCENARI Dynamic image manager strings */
scImgMgr.fStrings = ["previous","Previous image (left arrow)",         //0
	             "next","Next image (right arrow)",                   //2
	             "close","close slide-show (esc)",                          //4
	             "launch","start the slide-show (space)",                         //6
	             "stop","stop the slide-show (space)",                       //8
	             "Page loading. Please wait...","",   //10
	             "previous","Previous image",                                  //12
	             "next","Next image",                                      //14
	             "launch","launch the animation",                                   //16
	             "stop","stop the animation",                                 //18
	             "start","go to the beginning of the animation",                         //20
	             "end","Go to the end of the animation",                           //22
	             "speed","change animation speed",                   //24
	             "image","",                                                        //26
	             "loop","play in a continuous loop",                             //28
	             "close","Close the zoom (ESC)"];                               //30

