var treeMgr = {
	fPathTrees : "des:div.treeRoot",
	fPathLnks : "des:a.nodeTi",
	fPathNodeRoot : "anc:div.nodeRoot",
	fFilterNodeInitDepth : "div.nodeDepth_0",
	init : function(){
		this.fFilterNodeInitDepth = scPaLib.compileFilter(this.fFilterNodeInitDepth);
		this.fTrees = scPaLib.findNodes(this.fPathTrees);
		for (var i=0; i<this.fTrees.length; i++){
			var vTree = this.fTrees[i];
			vTree.fLnks = scPaLib.findNodes(this.fPathLnks,vTree);
			for (var j=0; j<vTree.fLnks.length; j++){
				var vLnk = vTree.fLnks[j];
				vLnk.onclick = this.sToggle;
				vLnk.fNodeRoot = scPaLib.findNode(this.fPathNodeRoot,vLnk);
				vLnk.fNodeRoot.fRoot = vTree
				vLnk.fNodeRoot.fParent = scPaLib.findNode(this.fPathNodeRoot,vLnk.fNodeRoot);
				if (!scPaLib.checkNode(this.fFilterNodeInitDepth,vLnk.fNodeRoot)) this.toggle(vLnk);
			}
		}
		scOnLoads[scOnLoads.length] = this;
		
	},
	onLoad : function(){
		scCoLib.util.log("treeMgr.onLoad");
	},
	sToggle : function(pEvt){
		var pEvt = pEvt || window.event;
		return treeMgr.toggle(this,pEvt.ctrlKey);
	},
	toggle : function(pBtn,pDeep){
		if (typeof pDeep == "undefined") pDeep = false;
		pBtn.fClosed = !pBtn.fClosed;
		var vNodeRoot = pBtn.fNodeRoot;
		vNodeRoot.className = vNodeRoot.className.replace(/nodeChildren_[a-zA-Z]*/gi,"nodeChildren_"+(pBtn.fClosed ? "hide" : "show"));
		if (pDeep){
			for (var i=0; i<vNodeRoot.fRoot.fLnks.length; i++){
				var vLnk = vNodeRoot.fRoot.fLnks[i];
				if (vLnk.fNodeRoot.fParent == vNodeRoot && vLnk.fNodeRoot.className.indexOf("nodeChildren_"+(pBtn.fClosed ? "show" : "hide"))>-1) this.toggle(vLnk,pDeep);
			}
		}
		return false;
	}
}
